[OSM-talk-nl] 0.5 ---- Re: Het Zwarte Meer is MIA!

Ante Wessels ante at ffii.org
Sun Oct 7 20:44:31 BST 2007


On Friday 05 October 2007 21:53:02 Gert Gremmen wrote:
> Ik heb begrepen dat dit weekend
> De database API wordt ge upgraded naar 0.5
> en dat we na het weekend over moeten naar
> de nieuwe JOSM versie en eventueel
> ook de Tiles at Home programmas en scripts
> moeten updaten.
> Verder is de T at H render server sinds
> Vandaag 5 oct  1300 uur stopgezet tot en met Zondag.
> Als alles goed gaat....

De boel staat on line en ziet er goed uit! Hieronder de aankondiging van 
Frederik.

vriendelijke groet,
cordialmente,

Ante


Hi,

   the migration to the 0.5 API is now complete. The database is in
read-only mode at the moment but will be back to read-write real soon
now. You can read up on the 0.5 API on

http://wiki.openstreetmap.org/index.php/OSM_Protocol_Version_0.5

but for your convenience I will list the most important points right
away:

1. Obviously the API URL has changed, it needs to use "0.5" now
instead of the old "0.4". The good thing about this is that any
application not yet adapted to 0.5 will automatically fail instead of
getting the chance to wreck things ;-)

2. No more segments. The data model for 0.5 has ways linking directly
to nodes. Any application relying on segments will not work any
longer, but many important applications have been updated already.

3. Relations introduced. This is something that is unlikely to affect
you right away, but you can now create any relation between existing 
objects. This tool has the potential to greatly improve mapping
detail, but it will take a while until practices are established
on how to best use relations.

4. History cleared. History will continue to be written as before,
but we have removed past history data from the database today. When
accessing existing objects you can still see the person who last   
modified them (even if that modification was before the switch), but
no details about any previous modifications.


The XML format has changed (no more "<segment>" tags, new "<relation>"
tags, and "<nd ref=..."> inside <way> tags instead of "<seg id=...>"),
so any software expecting the old format will not work.

The planet file has not been updated yet, so it is still in 0.4
format, but from next version on will be 0.5 as well.

A new version of JOSM compatible with the new format is available at
the usual location:

http://josm.openstreetmap.de/download/josm-latest.jar

Any 0.3/0.4 style files you may have lying around can NOT be processed
with new versions of JOSM any longer. If you want to use old OSM
files, you need to run them through a conversion script before. That
script (Perl) is available from our SVN in /applications/utils/conv05.

You will find that when first run, JOSM clears the "plugins"
preference so that no plugins are loaded. You can then activate them
as usual from the plugins dialog. This should make sure that JOSM   
doesn't lock up if you have incompatible plugins loaded.

Some plugins (e.g. Mappaint, Validator) have already been adapted to
0.5 (and some don't need to be changed). Some are known to not yet  
work (Measurement, Utils). 

If you are interested in using relations in JOSM, see the JOSM online
help at http://josm.openstreetmap.de/wiki/Relations. The OSM wiki has
a number of articles about relationships and how they might be used  
but these are mostly discussions/brainstormings predating the
implementation and should not be mistaken for a how-to; we'll have to
consolidate that information in the coming days.

There will surely be a few glitches to be detected and repaired during
the next few days but overall, everything is now brighter, shinier,   
more powerful, faster and less memory-consuming.

Enjoy! (and don't break it right away ;-)
Frederik

-- 
Frederik Ramm  ##  eMail frederik at remote.org  ##  N49°00.09' E008°23.33'




More information about the Talk-nl mailing list